<html lang=en>
<head>
<meta name="Generated by Rational Rose model" content="D:\work\WTP\org.eclipse.jst.j2ee.core\rose\j2ee.mdl">
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<meta name="Description" content="EnterpriseJavaBean is a class.  It can have instances, someone could write an   instance document containing Departments and Employees.  It also has   attributes, operations, and associations.  These are actually derived/filtered   from its implementation classes and interfaces.  For mapping and browsing   purposes, though, you would like the EJB to appear as a class.      In this light, even Session Beans can have associations and properties   implemented by their bean.  For example, it would be meaningful to describe   associations from a Session to the Entities which it uses to perform its work.">
<meta name="KeyWords" content="EnterpriseBean,Class EnterpriseBean,j2ee,model j2ee,">
<a href="../../root.html" target=_top><IMG SRC="../../webviewer/home.gif"BORDER=0></a>
</head>
<body bgcolor = "#FFFFFF">
<p><font FACE="Arial, Geneva" SIZE=3><b>Class&nbsp;EnterpriseBean&nbsp;{Java}&nbsp;derived&nbsp;from:&nbsp;<a href="../cat38c08f0f038d/class3e4d53950349.htm" target="contents_frame">JNDIEnvRefsGroup</a></b></font></p>
<font FACE="Arial, Geneva" SIZE=2><b>Documentation</b></font><BR><font FACE="Arial, Geneva" SIZE=2>EnterpriseJavaBean&nbsp;is&nbsp;a&nbsp;class.&nbsp;&nbsp;It&nbsp;can&nbsp;have&nbsp;instances,&nbsp;someone&nbsp;could&nbsp;write&nbsp;an&nbsp;
<BR>instance&nbsp;document&nbsp;containing&nbsp;Departments&nbsp;and&nbsp;Employees.&nbsp;&nbsp;It&nbsp;also&nbsp;has&nbsp;
<BR>attributes,&nbsp;operations,&nbsp;and&nbsp;associations.&nbsp;&nbsp;These&nbsp;are&nbsp;actually&nbsp;derived/filtered&nbsp;
<BR>from&nbsp;its&nbsp;implementation&nbsp;classes&nbsp;and&nbsp;interfaces.&nbsp;&nbsp;For&nbsp;mapping&nbsp;and&nbsp;browsing&nbsp;
<BR>purposes,&nbsp;though,&nbsp;you&nbsp;would&nbsp;like&nbsp;the&nbsp;EJB&nbsp;to&nbsp;appear&nbsp;as&nbsp;a&nbsp;class.&nbsp;&nbsp;
<BR>
<BR>In&nbsp;this&nbsp;light,&nbsp;even&nbsp;Session&nbsp;Beans&nbsp;can&nbsp;have&nbsp;associations&nbsp;and&nbsp;properties&nbsp;
<BR>implemented&nbsp;by&nbsp;their&nbsp;bean.&nbsp;&nbsp;For&nbsp;example,&nbsp;it&nbsp;would&nbsp;be&nbsp;meaningful&nbsp;to&nbsp;describe&nbsp;
<BR>associations&nbsp;from&nbsp;a&nbsp;Session&nbsp;to&nbsp;the&nbsp;Entities&nbsp;which&nbsp;it&nbsp;uses&nbsp;to&nbsp;perform&nbsp;its&nbsp;work.
<BR></font><BR><BR>
</body>
</html>
